1. Report
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
    • Get Product By ID
    • products with inventory
    • product details with Inventory By Product ID
    • Product Variant List ID & Name
    • Variant Details By Variant ID
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
      POST
    • Purchase Item Register Report
      POST
    • Stock Summary Report
      POST
    • Stock Transfer Item Register Report
      POST
    • Consumption Production Report
      POST
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Report

Get Sales Item Register Data

POST
/api/v1/report/sales-item-register/invoice

Sales Item Register Report#

Purpose#

Retrieve item-wise sales transaction data for a specified date range and branch.

Why would you use this?#

Use this API when your system needs detailed sales information at the product level.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
branch_listYesOne or more Branch IDs separated by commas
from_dateYesStart date in UTC format (ISO 8601)
to_dateYesEnd date in UTC format (ISO 8601)
limitYesNumber of records to retrieve
offsetYesNumber of records to skip

Information Returned#

Invoice Information
Customer Information
Product Information
Quantity Sold
Tax Details
Discount Details
Net Sales Amount
Employee Information

Important Notes#

Date values must be provided in UTC format (ISO 8601).
Minimum limit 1 and maximum can be 500.
Minimum offset 0.
Multiple Branch IDs can be provided using comma-separated values.
Use pagination for large datasets.
Each record represents a sold product line item.
The same invoice may appear multiple times if multiple products were sold.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/report/sales-item-register/invoice' \
--header 'api-token: {{.in-api-token}}' \
--header 'Content-Type: application/json' \
--data '{
     "branch_list":"24448",
    "limit":500,
    "offset":0,
    "from_date":"2025-04-01T00:00:00Z",
    "to_date":"2026-03-31T00:00:00Z"
}'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Sales Item Register List",
    "code": "200",
    "response": {
        "totalCount": 2414,
        "salesItemRegisterData": [
            {
                "receiptData": "Cash : 11",
                "total": 11.0,
                "flatDiscount": 0.0,
                "billDiscount": 0.0,
                "flatDiscountType": "percentage",
                "billDiscountType": "percentage",
                "mrpAmount": 10.5,
                "branchId": 24448,
                "salesNo": "ORD54",
                "salesDate": "2025-12-26 15:14:32.259619+05:30",
                "tcsAmount": 0.0,
                "taxIncluded": true,
                "type": "pos",
                "orderType": "walkin",
                "branchName": "my business",
                "customerName": " ",
                "mobNo": null,
                "billingGstIn": null,
                "productName": "TEST2",
                "productType": "Finished",
                "hsnCode": "",
                "measurementCode": "TAB",
                "categoryName": "Fresh",
                "subCategoryName": null,
                "subBrandName": null,
                "brandName": "Cadbury",
                "departmentName": "Food",
                "itemCode": "TEST2",
                "batchNo": "B206337349",
                "purchasePrice": null,
                "landingCost": 10.5,
                "mrp": 10.5,
                "taxExclusiveMrp": 10.0,
                "price": 10.0,
                "sellingPrice": 10.5,
                "totalDiscount": 0.0,
                "qty": 1.0,
                "address": "Rahuri, Maharashtra ",
                "basicValue": 10.0,
                "otherDiscount": 0.0,
                "discount": 0.0,
                "itemTotalDiscount": 0.0,
                "taxAmount": 0.5,
                "cgst": 0.25,
                "igst": 0.0,
                "taxRate": 5.0,
                "cessRate": 0.0,
                "cessAmount": 0.0,
                "netAmount": 10.5,
                "profit": 0.0,
                "employeeName": "New employ",
                "createdBy": "New employ",
                "productDescription": ""
            },
            {
                "receiptData": "Cash : 11",
                "total": 11.0,
                "flatDiscount": 0.0,
                "billDiscount": 0.0,
                "flatDiscountType": "percentage",
                "billDiscountType": "percentage",
                "mrpAmount": 10.5,
                "branchId": 24448,
                "salesNo": "ORD55",
                "salesDate": "2025-12-26 14:13:38.611662+05:30",
                "tcsAmount": 0.0,
                "taxIncluded": true,
                "type": "pos",
                "orderType": "walkin",
                "branchName": "my business",
                "customerName": " ",
                "mobNo": null,
                "billingGstIn": null,
                "productName": "TEST2",
                "productType": "Finished",
                "hsnCode": "",
                "measurementCode": "TAB",
                "categoryName": "Fresh",
                "subCategoryName": null,
                "subBrandName": null,
                "brandName": "Cadbury",
                "departmentName": "Food",
                "itemCode": "TEST2",
                "batchNo": "B206337349",
                "purchasePrice": null,
                "landingCost": 10.5,
                "mrp": 10.5,
                "taxExclusiveMrp": 10.0,
                "price": 10.0,
                "sellingPrice": 10.5,
                "totalDiscount": 0.0,
                "qty": 1.0,
                "address": "Rahuri, Maharashtra ",
                "basicValue": 10.0,
                "otherDiscount": 0.0,
                "discount": 0.0,
                "itemTotalDiscount": 0.0,
                "taxAmount": 0.5,
                "cgst": 0.25,
                "igst": 0.0,
                "taxRate": 5.0,
                "cessRate": 0.0,
                "cessAmount": 0.0,
                "netAmount": 10.5,
                "profit": 0.0,
                "employeeName": null,
                "createdBy": "my business",
                "productDescription": null
            }
        ]
    }
}
Previous
Created By
Next
Purchase Item Register Report
Built with